/*********************************************************************
Project	:	GUSI				-	Grand Unified Socket Interface
File		:	GUSI.r			-	Include this
Author	:	Matthias Neeracher
Started	:	28Jun92								Language	:	MPW Rez 3.0
Modified	:	13Jul92	MN	.rsrc
				24Sep92	MN	Don't include CKID, create GUSIRsrc_P.h
				03Jan93	MN	autoSpin
Last		:	03Jan93
*********************************************************************/

#include "Types.r"
#include "GUSIRsrc_P.h"

include "GUSI.rsrc" not 'ckid';

/* Define a resource ('GUI', GUSIRsrcID) to override GUSI defaults */

type 'GUI' {
	literal longint	text;			/* Type for creat'ed files 		*/
	literal longint	mpw;			/* Creator for creat'ed files  	*/
	byte noAutoSpin, autoSpin;		/* Automatically spin cursor ?	*/
};

resource 'DLOG' (GUSIRsrcID, "Get Directory") {
	{0, 0, 217, 348}, 
	dBoxProc, 
	invisible, 
	noGoAway, 
	0x0, 
	10240, 
	""
};

resource 'DITL' (GUSIRsrcID, "Get Directory") {
	{
		{ 142, 256,  160, 336},	Button		{enabled,"Open"},
		{1152,  59, 1232,  77},	Button		{enabled,"Hidden"},
		{ 193, 256,  211, 336},	Button		{enabled,"Cancel"},
		{  43, 232,   63, 347},	UserItem		{disabled},
		{  72, 256,   90, 336},	Button		{enabled,"Eject"},
		{  97, 256,  115, 336},	Button		{enabled,"Drive"},
		{  43,  12,  189, 230},	UserItem		{enabled},
		{  43, 229,  189, 246},	UserItem		{enabled},
		{ 128, 252,  129, 340},	UserItem		{disabled},
		{1044,  20, 1145, 116},	StaticText	{disabled,""},
		{ 167, 256,  185, 336},	Button		{enabled,"Directory"},
		{   0,  30,   18, 215},	Button		{enabled,"Select Current Directory:"},
		{ 200,  20, 1145, 136},	StaticText	{disabled,"Select a Folder"}
	}
};


